$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.216-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.216-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BC6874C234F0B4CA82B7FBDFC74B9ED0467ACF2564350A89590E1AACD9CE1962'
  checksumType = 'sha256'
  checksum64 = 'BC6874C234F0B4CA82B7FBDFC74B9ED0467ACF2564350A89590E1AACD9CE1962'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.216-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
